// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class SettingsManager {
        
        private Gtk.Notebook notebook1;
        
        private Gtk.Button button6;
        
        private Gtk.Button button7;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.SettingsManager
            this.Name = "Circ.Frontend.GtkSharp.SettingsManager";
            this.Title = Mono.Unix.Catalog.GetString("Settings Manager");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.HasSeparator = false;
            // Internal child Circ.Frontend.GtkSharp.SettingsManager.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.notebook1 = new Gtk.Notebook();
            this.notebook1.Name = "notebook1";
            this.notebook1.CurrentPage = 0;
            w1.Add(this.notebook1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(w1[this.notebook1]));
            w2.Position = 0;
            // Internal child Circ.Frontend.GtkSharp.SettingsManager.ActionArea
            Gtk.HButtonBox w3 = this.ActionArea;
            w3.Name = "dialog1_ActionArea";
            w3.Spacing = 6;
            w3.BorderWidth = ((uint)(5));
            w3.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.button6 = new Gtk.Button();
            this.button6.CanDefault = true;
            this.button6.Name = "button6";
            this.button6.UseStock = true;
            this.button6.UseUnderline = true;
            this.button6.Label = "gtk-cancel";
            this.AddActionWidget(this.button6, -6);
            Gtk.ButtonBox.ButtonBoxChild w4 = ((Gtk.ButtonBox.ButtonBoxChild)(w3[this.button6]));
            w4.Expand = false;
            w4.Fill = false;
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.button7 = new Gtk.Button();
            this.button7.CanDefault = true;
            this.button7.Name = "button7";
            this.button7.UseStock = true;
            this.button7.UseUnderline = true;
            this.button7.Label = "gtk-ok";
            this.AddActionWidget(this.button7, -5);
            Gtk.ButtonBox.ButtonBoxChild w5 = ((Gtk.ButtonBox.ButtonBoxChild)(w3[this.button7]));
            w5.Position = 1;
            w5.Expand = false;
            w5.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 592;
            this.DefaultHeight = 273;
            this.Show();
        }
    }
}
